
#include <Adafruit_ST7735.h> 
Adafruit_ST7735 tft = Adafruit_ST7735(10, 8, 11, 13,9);
const int gasPin = A5;
const int xPin = A2;
const int yPin = A3;
const int sw = A4;
const int maximGas = 250;
int currentGas = 0;
int ox = 0;
int oy = 0;
int pressed = 0;
int ok = 1;
float firstGas = 0;


void start() {
  tft.initR(INITR_BLACKTAB); 
 tft.fillScreen(ST77XX_BLACK);
 tft.setTextColor( ST77XX_WHITE);
 tft.setCursor(45, 90);
 tft.print("SUFLATI!");
 delay(2000);
 tft.fillScreen(ST77XX_BLACK);
 tft.setTextColor( ST77XX_WHITE);
 firstGas = analogRead(gasPin);
 
}
void setup() {
 Serial.begin(9600);
 pinMode(5, OUTPUT);
 pinMode(4, OUTPUT);
 pinMode(3, OUTPUT);
 pinMode(2, OUTPUT);
 
 start();
 delay(1000);

}



void loop() {
 currentGas = analogRead(gasPin) - maximGas;
 ox = analogRead(xPin);
 oy = analogRead(yPin);
 pressed = analogRead(sw);
 // Serial.println(currentGas);
 // Serial.println(ok);
  Serial.print(ox);
  Serial.print(",");
  Serial.print(oy);
  Serial.print(",");
  Serial.println(pressed);
  float concentratie = currentGas/250.f;

 if(concentratie > 0.8 && ok == 1) {
   tft.fillScreen(ST77XX_RED);
   tft.setTextColor( ST77XX_BLACK);
    tft.setCursor(10, 20);
      tft.print("concentratie : ");
      tft.setCursor(100, 20);
      tft.print(concentratie);
      tft.setCursor(25, 80);
      tft.print("BETIVANUL!!");
      tft.setCursor(10, 90);
      tft.print("5 ANISORI");
      digitalWrite(5, HIGH);
      
      
      tone(2,1000);
      delay(500);
      noTone(2);
      delay(500);
      digitalWrite(4, HIGH);
      tone(2,1000);
      delay(500);
      noTone(2);
      delay(500);
      digitalWrite(3, HIGH);
      tone(2,1000);
      delay(500);
      noTone(2);
//      delay(500);
      ok = 0;
  } else if(concentratie > 0.4 && concentratie < 0.8 && ok == 1) {
    tft.fillScreen(ST77XX_YELLOW);
   tft.setTextColor( ST77XX_BLACK);
      tft.setCursor(10, 20);
      tft.print("concentratie : ");
      tft.setCursor(100, 20);
      tft.print(concentratie);
      tft.setCursor(5, 60);
      tft.print("CE E MULT STRICA");
       digitalWrite(4, HIGH);
      tone(2,1000);
      delay(500);
      noTone(2);
      delay(500);
      digitalWrite(3, HIGH);
      tone(2,1000);
      delay(500);
      noTone(2);
      delay(500);
      ok = 0;
  } else {
    if( ok == 1) {
      if(concentratie < 0) concentratie = 0;
      tft.fillScreen(ST77XX_GREEN);
   tft.setTextColor( ST77XX_BLACK);
     tft.setCursor(10, 20);
      tft.print("concentratie : ");
      tft.setCursor(100, 20);
      tft.print(concentratie);
      tft.setCursor(25, 70);
      tft.print("ATI AVUT NOROC");
      tft.setCursor(65, 80);
      tft.print("AZI!");
      tft.setCursor(10, 100);
       digitalWrite(3, HIGH);
      tone(2,1000);
      delay(500);
      noTone(2);
      ok =2;
     
    } 
  }

  if(ok==0){
    int total = 0;
    int greseli = 0;
    int raspuns = 0;
    while(total<4 && greseli <3)
    {
      tft.fillScreen(ST77XX_YELLOW);
      tft.setTextColor( ST77XX_BLACK);
      tft.setCursor(10, 20);
      tft.print("Alege si mentine:");
      tft.setCursor(10, 30);
      raspuns = random(1,4);
      tft.print(raspuns);
      tft.setCursor(10, 40);
      tft.print("Raspunsuri corecte:");
      tft.setCursor(10, 50);
      tft.print(total);
      tft.setCursor(60, 80);
      tft.print("1");
      tft.setCursor(40, 100);
      tft.print("2");
      tft.setCursor(80, 100);
      tft.print("3");
      tft.setCursor(60, 120);
      tft.print("4");
      delay(3000);

      switch(raspuns){

        case 1:
          ox = analogRead(xPin);
          tft.setCursor(60, 140);
          if(ox<250)
          {
            tft.print("ok");
            digitalWrite(3, HIGH); 
            total++;        
          } else {
            tft.print("wrong");
            digitalWrite(5, HIGH); 
            tone(2,1000);
            delay(500);
            noTone(2);
            total=0;
            greseli++;
          }
          break;
        case 2:
          oy = analogRead(yPin);
          tft.setCursor(60, 140);
          if(oy>750)
          {
            tft.print("ok");
            digitalWrite(3, HIGH); 
            total++;        
          } else {
            tft.print("wrong");
            digitalWrite(5, HIGH); 
            tone(2,1000);
            delay(500);
            noTone(2);
            total=0;
            greseli++;
          }
          break;
        case 3:
          oy = analogRead(yPin);
          tft.setCursor(60, 140);
          if(oy<250)
          {
            tft.print("ok");
            digitalWrite(3, HIGH); 
            total++;        
          } else {
            tft.print("wrong");
            digitalWrite(5, HIGH); 
            tone(2,1000);
            delay(500);
            noTone(2);
            total=0;
            greseli++;
          }
          break;
        case 4:
          ox = analogRead(xPin);
          tft.setCursor(60, 140);
          if(ox>750)
          {
            tft.print("ok");
            digitalWrite(3, HIGH); 
            total++;        
          } else {
            tft.print("wrong");
            digitalWrite(5, HIGH); 
            tone(2,1000);
            delay(500);
            noTone(2);
            total=0;
            greseli++;
          }
          break;          
        default:
          break;
      }     
    }  
  }

}
